/**********************************************************/	 
 function writediv(texte, item)
     {
     document.getElementById(item).innerHTML = texte;
     }
/**********************************************************/	 
function verif_login(login, item)
{
	
    if(login.length  == '' )
    {
	   writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide !</span>', item);
	   return false;
	}

    else { 
	
				var check_alpha = verif_alpha(login);
	
				if(login.length < 3)
				  {	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Login trop court</span>' , item);
					return false;
				  }
				if(login.length > 10)
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	  Login trop long</span>' , item);
					  return false;
				    }
					
				if(login.length > 3 && login.length < 10)
				{	
					if(check_alpha == false)
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">     Doit contenir uniquement des lettres</span>', item);
					  return false;
				    }
				
					if(check_alpha == true)
					{ 
						  texte = file('check_login.php?login='+escape(login))
					  
						  if(texte == 1)
							  {	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">    Login deja pris</span>' , item);
								return false;
							  }
						  if(texte == 2)
							{  writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">    Login libre</span>' , item);
							   return true;
							}
					  
				    }
				

				}	
			
	}


	/*else if(texte = file('check_login.php?login='+escape(login)))
					{
						if(texte == 1)
						  {	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Ce login est deja pris</span>' , item);
							return false;
						  }
							else if(texte == 2)
							{  writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">	Ce login est libre</span>' , item);
							   /*document.getElementById('valide_form').value="ok";*/
					/*		   return true;
							}
						else
							writediv(texte);
					}*/
			
			/*detect(login);*/
	
}
/**********************************************************/
function old_verif_login(login, item)
{
    if(login.length  == '' )
    {
	   writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide !</span>', item);
       return false;
	}

    else { 
	
			var check_alpha = verif_alpha(login);
		
			if(login.length < 3  )
			{   
				if(check_alpha == false)
				  {
  				    writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Login trop court et caractére proscrit!</span>' , item);
					return false;
				}
				else
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Login trop court</span>' , item);
			  		  return false;
					}
				
				}  
   
			if(login.length > 10  )
			{
				writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Login trop long</span>', item);
				return false;
			}
   
			if(login.length > 3 && login.length < 10)
			{
			
				//var check_alpha = verif_alpha(mot);
				
				//if(check_alpha == false)
				//var alphaExp = /^[a-zA-Z]+$/;
				//if(!mot.match(alphaExp))
				
				if(check_alpha == false)
				{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Doit contenir uniquement des lettres</span>', item);
  		  		 return false;
				}
				else { 
				
						texte = file('check_login.php?login='+escape(login))
						
						if(texte == 1)
						  {	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Ce login est deja pris</span>' , item);
							return false;
						  }
						if(texte == 2)
							{  writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">	Ce login est libre</span>' , item);
							   /*document.getElementById('valide_form').value="ok";*/
							   return true;
							}
						
						
				
						//writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">		Valide</span>', item);
						//return true;
				}
				
			}	
	
	}
	
}



/**********************************************************/

function verif_mot(mot, item)
{
    if(mot.length  == '' )
    {
	   writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide !</span>', item);
       return false;
	}

    else { 
	
			var check_alpha = verif_alpha(mot);
		
			if(mot.length < 3  )
			{   
				if(check_alpha == false)
				  {
  				    writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Mot trop court et caractére proscrit!</span>' , item);
					return false;
				}
				else
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Mot trop court</span>' , item);
			  		  return false;
					}
				
				}  
   
			if(mot.length > 10  )
			{
				writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Mot trop long</span>', item);
				return false;
			}
   
			if(mot.length > 3 && mot.length < 10)
			{
			
				//var check_alpha = verif_alpha(mot);
				
				//if(check_alpha == false)
				//var alphaExp = /^[a-zA-Z]+$/;
				//if(!mot.match(alphaExp))
				
				if(check_alpha == false)
				{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Doit contenir uniquement des lettres</span>', item);
  		  		 return false;
				}
				else { 
						writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">		Valide</span>', item);
						return true;
				}
				
			}	
	
	}
	
}

/**********************************************************/	
function detection(chaine) {

	var regx_chr = /^([a-zA-Z0-9_-]+)$/;
	
	var test = chaine.search(regx_chr);

	if(test ==-1)
	{  return false;
	}
	else { return true;
		 }	
	
	 //chaine.value.search(regx_chr)==-1)
	 

//Liste des Caractères interdits
/* var CaracteresInterdits = "\`\²\%\*\,\.\?\;\:\§\!\#\$\£\¤\(\)\~\/\\\'\=\+\{\}\[\]
|^@&\"\"\<\>©®ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞß
àáâãäåæçèéêëìíîïðñòóôõöøùúûüýþÿ";

   var i=0;
   Result = true;
   fin=chaine.length;
   
 

//Boucle qui extrait chaque lettre de 'chaine' et qui regarde si elle correspond à un caractère interdit
   for (var i=0; i<fin; i++) {
      carac = chaine.substring(i,i+1);
      if (CaracteresInterdits.indexOf(carac)!=(-1))
	  {  alert("Interdit");
         Result = false;
      }
   }
    alert("fini");*/
}   
/**********************************************************/	

function verif_alpha(mot)
{
	var alphaExp = /^[a-zA-Z0-9]+$/; 
	if(!mot.match(alphaExp))
	{ return false;
	}
	else {  return true;
		 }

}

/**********************************************************/	
function verif_alphabet(mot)
{
	var alphaExp = /^[a-zA-Z]+$/; 
	if(!mot.match(alphaExp))
	{ return false;
	}
	else {  return true;
		 }

}
/**********************************************************/	
function isSpclChar(){
   var iChars = "!@#$%^&*()+=-[]\\\';,./{}|\":<>?";
   if(document.qfrm.q.value.indexOf(iChars) != -1) {
     alert ("The box has special characters. \nThese are not allowed.\n");
     return false;
   }
}
/**********************************************************/	
function verif_email(email) {

	var retour = valide_email(email);
	
	if(retour == true)
	{
		texte = file('check_email.php?email='+escape(email));
	
		if(texte == 1)
		{
			writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Cette adresse mail existe deja !</span>' , 'statut_email');
			return false;
		}	
		if(texte == 2)
		{	writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">	OK: libre</span>' , 'statut_email');
		    return true;
		}						
	}
		
}
/**********************************************************/	
function changement_email(email) {

	var retour = valide_email(email);
	
	if(retour == true)
	{
		texte = file('changement_email.php?email='+escape(email));
	
		//alert("--> TEST" + texte);
	
		if(texte == 1)
		{	writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">	Email inchangée</span>' , 'statut_email');
		    return true;
		}	
	
		if(texte == 2)
		{
			writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Cette adresse mail existe deja !</span>' , 'statut_email');
			return false;
		}	
		if(texte == 3)
		{	writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">	OK: libre</span>' , 'statut_email');
		    return true;
		}					
		
		
	}
		
}
/**********************************************************/	

function valide_email(email) {
 
   var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;
   var trame= /^\w+([.-]\w+)*@\w+([.-]\w+)*\.\w{2,8}$/;
  
   if(email.length  == '' )
    {
		writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide !</span>', 'statut_email');
   		return false;
	}
   else {

		  if(trame.test(email) == false)  /* reg.test(email) */
			{	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Email non conforme !</span>', 'statut_email');
	    		return false;
			}
			else
			{
				writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">		Email valide</span>', 'statut_email');
				return true;
			}
	}
			
}

/**********************************************************/	 
function verif_message(message) {

    if(message.length  == '' )
    {
		//background: #f8dbdb;
		//border-color: #e77776;
		document.getElementById('message_textarea').style.backgroundColor='#f8dbdb';
		writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide !</span>', 'statut_message');
		return false;
	}
	else 
    {
	   if(message.length < 10  )
		{ 
		   document.getElementById('message_textarea').style.backgroundColor='#f8dbdb';
			writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Longueur du message : > 10 lettres !</span>', 'statut_message');
			return false;
		}
		else
		{ 
		    document.getElementById('message_textarea').style.backgroundColor='#FFFFFF';
			writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">		OK</span>', 'statut_message');
			return true;
		}
	
	}

}

/**********************************************************/	 
function envoyer_email(form)
 {
 
	//var debug = form_email.nom.value;
	
	var check_nom = verif_mot(form_email.nom.value, 'statut_nom');
	var check_prenom = verif_mot(form_email.prenom.value, 'statut_prenom');
	var check_email = valide_email(form_email.email.value);
	var check_message = verif_message(form_email.message_textarea.value);
		   
    if(check_nom && check_prenom && check_email && check_message)
	 {
		document.getElementById('valide_form').value="ok";
        return true;
    }
	else
    {
      alert("Veuillez remplir correctement tous les champs");
      return false;
    }
	
	//alert(check_prenom);
 }

 /**********************************************************/	 
function envoi_identifiant(form)
 {
 
	var check_nom = verif_mot(form_envoi_identifiant.nom.value, 'statut_nom');
	var check_prenom = verif_mot(form_envoi_identifiant.prenom.value, 'statut_prenom');
	var check_email = valide_email(form_envoi_identifiant.email.value);
	
	alert("-->" + check_nom + check_prenom + check_email );
		
    if(check_nom && check_prenom && check_email )
	 {
		document.getElementById('valide_form').value="ok";
		//alert("Votre requête viens d'être envoyée")
        return true;
    }
	else
    { document.getElementById('message_traitement').style.display = "none"; 
      alert("Veuillez remplir correctement tous les champs.");
      return false;
    }
	
 }

/**********************************************************/
function valider_changement_information(form)
 {
	
	var check_nom = verif_mot(form.nom.value, 'statut_nom');
	var check_prenom = verif_mot(form.prenom.value, 'statut_prenom');
	var check_email = changement_email(form.email.value);
	
	//alert( check_nom + ' ' + check_prenom + ' ' + check_email );
	
    if(check_nom && check_prenom && check_email)
	 {   //alert("OK pour l'update du profil");
		 document.getElementById('valide_form').value="ok";
         return true;
    }
	else
    { document.getElementById('message_traitement').style.display = "none"; 
      alert("Veuillez remplir correctement tous les champs");
      return false;
    }

}
/**********************************************************/
	 
function valider_inscription(form)
 {

	//alert("TRACE inscription");
	
	var check_login = verif_login(form_inscription.login.value, 'statut_login');
	var check_nom = verif_mot(form_inscription.nom.value, 'statut_nom');
	var check_prenom = verif_mot(form_inscription.prenom.value, 'statut_prenom');
	//var check_email = verif_email(form_inscription.email.value);
	var check_email = valide_email(form_inscription.email.value);
	var check_password = confirmation_password(); 
	
	//alert(check_login + ' ' + check_nom + ' ' + check_prenom + ' ' + check_email + ' ' + check_password);

	if(check_login && check_nom && check_prenom && check_email && check_password)
	 {
	     //alert("OK pour l'inscription");
		 document.getElementById('valide_form').value="ok";
         return true;
    }
	else
    {
	  document.getElementById('message_traitement').style.display = "none"; 
      alert("Veuillez remplir correctement tous les champs");
      return false;
    }
	
 }


/*
function valider_inscription(form)
 {
	
	alert("TRACE inscription");
	
	/*var check_login = verif_login(form_inscription.login.value, 'statut_login');
	var check_nom = verif_mot(form_inscription.nom.value, 'statut_nom');
	var check_prenom = verif_mot(form_inscription.prenom.value, 'statut_prenom');
	var check_email = verif_email(form_inscription.email.value);
	var check_password = confirmation_password(); 
	
	alert("-->" check_login + check_nom + check_prenom + check_email + check_password );
	
	
	
    if(check_login && check_nom && check_prenom && check_email && check_password)
	 {
	     alert("OK pour l'inscription");
		 document.getElementById('valide_form').value="ok";
         return true;
    }
	else
    {
	  document.getElementById('message_traitement').style.display = "none"; 
      alert("Veuillez remplir correctement tous les champs");
      return false;
    }*/
	
	/*

}

/**********************************************************/	 
function valider_changement_password(form)
 {
	
	var check_password = confirmation_password(); 
	
    if(check_password)
	 {
	     //alert("OK pour le changement du password");
		 //document.getElementById('message_traitement').style.display = "block"; 
		 document.getElementById('valide_form').value="ok";
         return true;
    }
	else
    {
	  document.getElementById('message_traitement').style.display = "none"; 
      alert("Veuillez remplir correctement tous les champs");
      return false;
    }

}

/**********************************************************/	 
function valider_compte(form)
 {
	
	var check_nom = verif_mot(form_inscription.nom.value, 'statut_nom');
	var check_prenom = verif_mot(form_inscription.prenom.value, 'statut_prenom');
	var check_email = verif_email(form_inscription.email.value);
	var check_password = confirmation_password(); 
	
    if(check_nom && check_prenom && check_email && check_password)
	 {
	     //alert("OK pour l'inscription");
		 document.getElementById('valide_form').value="ok";
         return true;
    }
	else
    {
      alert("Veuillez remplir correctement tous les champs");
      return false;
    }
	
	

}

/**********************************************************/	 

function verif_password(pass) 
{

	if(pass.length  == '' )
    {  writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide ! !</span>', 'statut_pass1');
	   return false;
	}
	
	else {		if(pass.length < 3)
				  {	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Ce password est trop court</span>' , 'statut_pass1');
					return false;
				  }
				if(pass.length > 14)
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Ce password est trop long</span>' , 'statut_pass1');
					  return false;
				    }
					
				if(pass.length > 3 && pass.length < 14)
			     {
				
					 if(detection(pass) == false)
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Détection du caractéres interdit</span>', 'statut_pass1');
  		  		        return false;
				    }
				    else { 
						   writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">		Valide</span>', 'statut_pass1');
						   return true;
				    }
				
					
			}		
				
				
	}
	
}

/**********************************************************/	
function valider_ajouter_categorie() 
{
	 
	//var check_titre = verif_mot(form_email.nom.value, 'statut_titre');
	//var check_message = verif_message(form.categorie_description.value);
		   
    /*if(check_titre && check_message)
	 {
		document.getElementById('valide_form').value="ok";
        return true;
    }
	else
    {
        alert("Tous les champs doivent être remplis !.");
        return false;
    }*/
	
    document.getElementById('valide_form').value="ok";
    return true;


}
/**********************************************************/	

function old_valider_avatar() 
{
	 document.getElementById('valide_form').value="ok";
     return true;

}

/**********************************************************/	


function confirmation_password() 
{

	 var pass1 = document.getElementById("pass1").value
     var pass2 = document.getElementById("pass2").value

    if(pass1.length  == '' )
    {
   	   writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide ! !</span>', 'statut_pass1');
	   return false;
	}

	if(pass2.length  == '' )
    {
   	   writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide ! !</span>', 'statut_pass2');
	   return false;
	}
	
    else { 
	       
	        if(pass1 != pass2)
			{
				writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Password non identique !</span>', 'statut_pass2');
				return false;
				 }
			else {
						writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">		OK: Identique</span>', 'statut_pass2');
						return true;
				}
	}		
			
}
/**********************************************************/	 
function valider_login()
{


		alert("Login ....");

		var login = document.getElementById("login").value
        var password = document.getElementById("password").value
		
/*		file('check_login.php?login='+escape(login))

		var data = "var1=" + value1 +  "&var2=" + value2;
		
		data: 'original='+original&'erreurs='+erreurs,
		
		xhr.open("GET", "XMLHttpRequest_1.php?Pseudo=" + pseudo + "&Prenom=" + prenom + "", true);
		
		name1=val1&name2=val2&name3=val3 ...
Code:

xmlhttp.open("GET","getSort.php?s="+str+"&cat="+cat,true);


		
		monfichier.php?montext=un+text&checkbox=cb1
		
		 xhr.send("vara="+login+"&varb="+password); 
		
		document.getElementById('valide_login').value="ok";
         return true;*/

}

/**********************************************************/	

	

/**********************************************************/	
	
    function getExtension(filename)
    {
        var parts = filename.split(".");
        return (parts[(parts.length-1)]);
    }    
/**********************************************************/	
	
 function verifFileExtension(champ,listeExt)
    {
	filename = document.getElementById(champ).value.toLowerCase();
	fileExt = getExtension(filename);
	for (i=0; i<listeExt.length; i++)
	{
		if ( fileExt == listeExt[i] ) 
		{
			alert("OK");
			return (true);
		}
	}
	alert("Votre CV doit être au format Word (.doc) ou PDF");
	return (false);
     }	

/**********************************************************/	
	 
function valider_avatar() 
{
            var input = document.getElementById('fichier_choisi').value;
			//alert(input);
			var taille_fichier = document.getElementById("fichier_choisi").files[0].size
			
			var l = input.length;
			
			//alert(l);
			
			if(l == 0)
			{
				alert("Aucun fichier selectionné !.");
				return false;
			}
			
			if(taille_fichier > 1000000)
			{
				alert("Taille du fichier > 1Mo !.");
				return false;
			}
			
		else {
				
				//alert(input);
				ext =input.substr(input.lastIndexOf(".")+1); // récupèrer l'extension
				ext = ext.toLowerCase(); // met en minuscule
				//alert(ext);
				
				extensions = new Array('jpg','jpeg');
				
				var flag = false;
				
				for (i=0; i<extensions.length; i++)
				{
					if ( ext == extensions[i] ) 
					{
						flag = true;
						
					}
				}
				
				if(flag == false)
				{  alert("Document imcompatible !");
				   return false;
				}
				
				if(flag == true)
				{  document.getElementById('valide_form').value="ok";
				   return true;
				}
			
			}
			
}

/**********************************************************/	
		
function verif_joueur(nom, item)
{
	
    if(nom.length  == '' )
    {
	   writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide !</span>', item);
	   return false;
	}

    else { 
	
				var check_alpha = verif_alphabet(nom);
	
				if(nom.length < 3)
				  {	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Nom trop court</span>' , item);
					return false;
				  }
				if(nom.length > 20)
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	 Nom trop long</span>' , item);
					  return false;
				    }
					
				if(nom.length > 3 && nom.length < 20)
				{	
					if(check_alpha == false)
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">     Doit contenir uniquement des lettres</span>', item);
					  return false;
				    }
				
					if(check_alpha == true)
					{ 
						  texte = file('check_joueur.php?nom='+escape(nom))
						  
						  if(texte == 1)
							  {	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">    Déjà inscrit dans DB</span>' , item);
								return false;
							  }
						  if(texte == 2)
							{  writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">     Pas inscrit dans DB </span>' , item);
							   return true;
							}
					  
				    }
				

				}	
			
	}


	
	
}
/**********************************************************/

function valider_infos_joueur(form)
 {
	
	var check_nom = verif_joueur(form.nom.value, 'statut_nom');
	//var check_nom = verif_mot(form_ajouter_joueur.nom.value, 'statut_nom');
	//var check_prenom = verif_mot(form.prenom.value, 'statut_prenom');

	if(check_nom)
	 {
	    //alert("OK pour l'inscription");
		document.getElementById('valide_form').value="ok";
		writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">    Enregistrement</span>' , 'statut_enregistrement');
        return true;
    }
	else
    {
	  //document.getElementById('message_traitement').style.display = "none"; 
	  alert("Veuillez remplir correctement tous les champs");
      return false;
    }
	
 }

/**********************************************************/
		
		

function file(fichier)
     {
     if(window.XMLHttpRequest) // FIREFOX
          xhr_object = new XMLHttpRequest();
     else if(window.ActiveXObject) // IE
          xhr_object = new ActiveXObject("Microsoft.XMLHTTP");
     else
          return(false);
     xhr_object.open("GET", fichier, false);
     xhr_object.send(null);
     if(xhr_object.readyState == 4) return(xhr_object.responseText);
     else return(false);
     }
/**********************************************************/	 
